﻿namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Specifies the supported formatting options for the days of the week in month view column headers.
    /// </summary>
    public enum CalendarDayNameFormat
    {
        /// <summary>
        /// Use the culture-specific abbreviated names of the days of the week.
        /// </summary>
        AbbreviatedName,

        /// <summary>
        /// Use the culture-specific full names of the days of the week.
        /// </summary>
        FullName,

        /// <summary>
        /// Use the culture-specific first letters of the days of the week.
        /// </summary>
        FirstLetter
    }
}
