﻿namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Defines the possible behaviors of <see cref="DateTimePicker"/> when a step different from 1 is defined 
    /// for one of the selectable components of the <see cref="System.DateTime"/> structure.
    /// </summary>
    public enum StepBehavior
    {
        /// <summary>
        /// All multiples of the current time step are shown in the looping selector.
        /// </summary>
        Multiples = 1,

        /// <summary>
        /// Each value in the looping selector is generated by adding the step value to each previous value starting from the base value.
        /// </summary>
        StartFromBase = 2,

        /// <summary>
        /// The base (starting) value and all multiples are shown in the looping selector.
        /// </summary>
        BaseAndMultiples = Multiples | StartFromBase
    }
}